order-fulfillments
Create order fulfillment
Create a new order fulfillment
POST
/
api
/
order_fulfillments
Create order fulfillment
curl --request POST \
--url https://api.fluid.app/api/order_fulfillments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"order_id": 123,
"order_items": [
{
"item_id": 123,
"quantity": 123
}
],
"tracking_informations": [
{
"tracking_number": "<string>",
"shipping_carrier": "<string>"
}
],
"send_fulfillment_notification": true
}
'import requests
url = "https://api.fluid.app/api/order_fulfillments"
payload = {
"order_id": 123,
"order_items": [
{
"item_id": 123,
"quantity": 123
}
],
"tracking_informations": [
{
"tracking_number": "<string>",
"shipping_carrier": "<string>"
}
],
"send_fulfillment_notification": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
order_id: 123,
order_items: [{item_id: 123, quantity: 123}],
tracking_informations: [{tracking_number: '<string>', shipping_carrier: '<string>'}],
send_fulfillment_notification: true
})
};
fetch('https://api.fluid.app/api/order_fulfillments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"order_item_fulfillments": [
{
"id": 123,
"quantity": 123,
"item_id": 123,
"order_fulfillment_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"tracking_informations": [
{
"id": 123,
"tracking_number": "<string>",
"shipping_carrier": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Authorizations
Bearer token authentication
Body
application/json
Response
object | null
Created
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Create order fulfillment
